
package jp.riken.brain.ni.samuraigraph.figure;

import jp.riken.brain.ni.samuraigraph.base.SGDrawingWindow;


/**
 * 2次元ベクトル型データ用フィギュアクラス
 */

public class SGVXYFigure extends SGXYFigure implements SGIFigureConstants
{


	/**
	 *
	 */
	public SGVXYFigure()
	{
		super();
	}



	/**
	 *
	 */
	public SGVXYFigure( final SGDrawingWindow wnd )
	{
		super( wnd );
	}


	/**
	 * 
	 */
	public String getClassType()
	{
		return FIGURE_TYPE_VXY;
	}


	/**
	 * 
	 */
	protected boolean createDialog()
	{
		final SGXYFigureDialog dg = new SGXYFigureDialog( this.mWnd, true );
		this.mDialog = dg;
		return true;

	}


}

